summaryrefslogtreecommitdiffstats
path: root/adduser/adduser.sh
diff options
context:
space:
mode:
authorMike Makonnen <mtm@FreeBSD.org>2007-04-12 07:38:26 +0000
committerMike Makonnen <mtm@FreeBSD.org>2007-04-12 07:38:26 +0000
commitcc5d110a779c35aba1139cdc53d7903f20b7bffb (patch)
tree793362ba659f3b4a2e9a2058835a3f846cc23889 /adduser/adduser.sh
parent77c6ad53f0f3b4e6c4ba6be6907a50c9f8d156b5 (diff)
downloadpw-darwin-cc5d110a779c35aba1139cdc53d7903f20b7bffb.tar.gz
pw-darwin-cc5d110a779c35aba1139cdc53d7903f20b7bffb.tar.zst
pw-darwin-cc5d110a779c35aba1139cdc53d7903f20b7bffb.zip
Errm... I don't see how rev. 1.26 could have possibly worked or been tested.
Fix it for real. Submitted by: Johnny Lee <johnny@bmtk.com> MFC After: 2 weeks
Diffstat (limited to 'adduser/adduser.sh')
-rw-r--r--adduser/adduser.sh25
1 files changed, 13 insertions, 12 deletions
diff --git a/adduser/adduser.sh b/adduser/adduser.sh
index 7097caf..5b970dc 100644
--- a/adduser/adduser.sh
+++ b/adduser/adduser.sh
@@ -598,19 +598,20 @@ input_from_file() {
case "$fileline" in
\#*|'')
;;
- esac
-
- get_user || continue
- get_gecos
- get_uid
- get_logingroup
- get_class
- get_shell
- get_homedir
- get_password
- get_expire_dates
+ *)
+ get_user || continue
+ get_gecos
+ get_uid
+ get_logingroup
+ get_class
+ get_shell
+ get_homedir
+ get_password
+ get_expire_dates
- add_user
+ add_user
+ ;;
+ esac
done
}